Subject: Re: bug#50190: dired-chmod-program is a revenant

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Aug 2021 16:13:06 +0200

Michael Albinus <[email-masked]> writes:

>>> The defcustom dired-chmod-program is no longer used by dired or any
>>> derivative. It is now used only by ange-ftp-process-file.
>>>
>>> I suggest marking dired-chmod-program as obsolete (or removing it),
>>> and changing ange-ftp-process-file's (or (bound-and-true-p
>>> dired-chmod-program) "chmod") to simply "chmod".
>>
>> Obsoleting it sounds like a good idea to me.  Perhaps Michael has some
>> comments on the ange-ftp change; added to the CCs.
>
> I don't know whether somebody uses dired-chmod-program in
> ange-ftp. Obsoleting it would be OK; let's see who protests.

OK; I've now made the variable obsolete (and removed the one usage).  I
did not remove the comments in wdired about it, since Paul's patch in the
other bug report does that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no